<?php

/**
 * Amibios API controller.
 *
 * @category   apps
 * @package    amibios
 * @subpackage rest-api
 * @author     ClearCenter <developer@clearcenter.com>
 * @copyright  2018 ClearCenter
 * @license    http://www.clearcenter.com/app_license ClearCenter license
 * @link       http://www.clearcenter.com/support/documentation/clearos/amibios/
 */

///////////////////////////////////////////////////////////////////////////////
// B O O T S T R A P
///////////////////////////////////////////////////////////////////////////////

$bootstrap = getenv('CLEAROS_BOOTSTRAP') ? getenv('CLEAROS_BOOTSTRAP') : '/usr/clearos/framework/shared';
require_once $bootstrap . '/bootstrap.php';

///////////////////////////////////////////////////////////////////////////////
// D E P E N D E N C I E S
///////////////////////////////////////////////////////////////////////////////

use \clearos\apps\amibios\Amibios_Library as Amibios_Library;

clearos_load_library('amibios/Amibios_Library');

///////////////////////////////////////////////////////////////////////////////
// C L A S S
///////////////////////////////////////////////////////////////////////////////

/**
 * Amibios API controller.
 *
 * @category   apps
 * @package    amibios
 * @subpackage rest-api
 * @author     ClearCenter <developer@clearcenter.com>
 * @copyright  2018 ClearCenter
 * @license    http://www.clearcenter.com/app_license ClearCenter license
 * @link       http://www.clearcenter.com/support/documentation/clearos/amibios/
 */

class Amibios extends ClearOS_REST_Controller
{
    /**
     * Amibios overview.
     *
     * @return view
     */

    function index_get()
    {
        try {
            $amibios = new Amibios_Library();

            $data['available'] = $amibios->get_availability();
            $data['utility_available'] = $amibios->get_utility_availability();
            $data['status'] = $amibios->get_status();

            $this->respond_success($data);
        } catch (\Exception $e) {
            $this->exception_handler($e);
        }
    }
}
