<?php

/**
 * Amibios installed firmware API controller.
 *
 * @category   apps
 * @package    amibios
 * @subpackage rest-api
 * @author     ClearCenter <developer@clearcenter.com>
 * @copyright  2018 ClearCenter
 * @license    http://www.clearcenter.com/app_license ClearCenter license
 * @link       http://www.clearcenter.com/support/documentation/clearos/amibios/
 */

///////////////////////////////////////////////////////////////////////////////
// B O O T S T R A P
///////////////////////////////////////////////////////////////////////////////

$bootstrap = getenv('CLEAROS_BOOTSTRAP') ? getenv('CLEAROS_BOOTSTRAP') : '/usr/clearos/framework/shared';
require_once $bootstrap . '/bootstrap.php';

///////////////////////////////////////////////////////////////////////////////
// D E P E N D E N C I E S
///////////////////////////////////////////////////////////////////////////////

use \clearos\apps\amibios\Amibios_Library as Amibios_Library;

clearos_load_library('amibios/Amibios_Library');

///////////////////////////////////////////////////////////////////////////////
// C L A S S
///////////////////////////////////////////////////////////////////////////////

/**
 * Amibios installed firmware info API controller.
 *
 * @category   apps
 * @package    amibios
 * @subpackage rest-api
 * @author     ClearCenter <developer@clearcenter.com>
 * @copyright  2018 ClearCenter
 * @license    http://www.clearcenter.com/app_license ClearCenter license
 * @link       http://www.clearcenter.com/support/documentation/clearos/amibios/
 */

class Firmware extends ClearOS_REST_Controller
{
    /**
     * Installed firmware overview.
     *
     * @return view
     */

    function index_get()
    {
        try {
            $amibios = new Amibios_Library();

            $use_cache = $this->input->get('use_cache');
            $use_cache_flag = ($use_cache == '') ? TRUE : (bool) $use_cache;

            $data = $amibios->get_installed_firmware($use_cache_flag);

            $this->respond_success($data);
        } catch (\Exception $e) {
            $this->exception_handler($e);
        }
    }

    /**
     * Backup installed firmware.
     *
     * @return view
     */

    function backup_post()
    {
        try {
            $amibios = new Amibios_Library();

            $data = $amibios->backup_installed_firmware();

            $this->respond_success($data);
        } catch (\Exception $e) {
            $this->exception_handler($e);
        }
    }
}
